Android图形---OpenGL(二)

长平狐 发布于 2012/10/16 10:20
阅读 103
收藏 0

本文译自:http://developer.android.com/guide/topics/graphics/opengl.html

OpenGL 包

一旦使用GLSurfaceView和GLSurfaceView.Renderer类给OpenGL建立了一个View容器,那么就可以开始使用以下的类来调用OpenGL的API:

1. OpenGL ES 1.0/1.1 API 包

android.opengl------这个包给OpenGL ES 1.0/1.1提供了一个静态的接口,并且比javax.microedition.khronos包接口具有更好的性能。

GLES10(http://developer.android.com/reference/android/opengl/GLES10.html

GLES10Ext(http://developer.android.com/reference/android/opengl/GLES10Ext.html

GLES11(http://developer.android.com/reference/android/opengl/GLES11.html

GLES10Ext(http://developer.android.com/reference/android/opengl/GLES10Ext.html

javax.microedition.khronos.opengles------这包提供了OpenGL ES 1.0/1.1的标准实现

GL10(http://developer.android.com/reference/javax/microedition/khronos/opengles/GL10.html

GL10Ext(http://developer.android.com/reference/javax/microedition/khronos/opengles/GL10Ext.html

GL11(http://developer.android.com/reference/javax/microedition/khronos/opengles/GL11.html

GL11Ext(http://developer.android.com/reference/javax/microedition/khronos/opengles/GL11Ext.html

GL11ExtensionPack(http://developer.android.com/reference/javax/microedition/khronos/opengles/GL11ExtensionPack.html

2. OpenGL ES 2.0 API 类

android.opengl.ELES20------这个包提供OpenGL ES 2.0的接口,并且从Android2.2(API Level 8)开始有效。

如果想要立即创建与OpenGL有关的应用程序,请看OpenGL ES 1.0或OpenGL ES 2.0开发指南。

OpenGL ES 1.0:http://developer.android.com/resources/tutorials/opengl/opengl-es10.html

OpenGL ES 2.0:http://developer.android.com/resources/tutorials/opengl/opengl-es20.html

声明OpenGL的需求

如果应用程序使用的OpenGL功能不是在所有的设备上都是有效的,那么就必须在该应用的AndroidManifest.xml文件中包含这些功能需求。

通常OpenGL清单的声明如下:

1. OpenGL ES的版本需求---如果应用程序只支持OpenGL ES 2.0,那么就必须通过把下列设置添加到清单中来声明该需求:

<!-- Tell the system this app requires OpenGL ES 2.0. -->
   
<uses-feature android:glEsVersion="0x00020000" android:required="true" />

    添加这个声明后,会导致Google Play限制该应用程序安装在那些不支持OpenGL ES 2.0的设备上。

2. 纹理压缩的需求---如果应用程序使用了纹理压缩格式。就必须在该应用的清单文件中使用<supports-gl-texture>元素来声明其所支持的格式。关于有效的纹理压缩格式的更多信息,请看本文后续的“纹理压缩支持”

在应用程序清单中声明纹理压缩需求会把该应用程序从那些不支持其声明的压缩格式的设备上隐藏掉(只要有一种格式不被支持)。

 


原文链接:http://blog.csdn.net/fireofstar/article/details/7681615
加载中
返回顶部
顶部